apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: intellecton-staging-ingress
  namespace: thefold
  annotations:
    cert-manager.io/cluster-issuer: cloudflare-letsencrypt
    kubernetes.io/ingress.class: traefik
    traefik.ingress.kubernetes.io/router.entrypoints: web,websecure
spec:
  rules:
  - host: intellecton.thefoldwithin.earth
    http:
      paths:
      - backend:
          service:
            name: intellecton-portal-service
            port:
              number: 80
        path: /
        pathType: Prefix
  tls:
  - hosts:
    - intellecton.thefoldwithin.earth
    secretName: intellecton-thefoldwithin-earth-tls
